<div class="row row-banner">
    <div class="col s10 offset-1">
        <h1 class="text-white title">Contact</h1>
        <p class="subtitle">Home / contact</p>
    </div>
</div>


<div class="row">
    <div class="col s12 map-showing">
        <div style="width: 100%">
            <iframe 
                width="100%" 
                height="600" 
                src="https://maps.google.com/maps?width=100%&amp;height=600&amp;hl=en&amp;q=1%20Grafton%20Street%2C%20Dublin%2C%20Ireland+(Apoderado)&amp;ie=UTF8&amp;t=&amp;z=14&amp;iwloc=B&amp;output=embed" 
                frameborder="0" 
                scrolling="no" 
                marginheight="0" 
                marginwidth="0">
            </iframe>
        </div>
    </div>
</div>

<div class="row row-form">
    <div class="col s9">
        <p class="contact-title">Get in Touch</p>

        <form class="col s12" (ngSubmit)="processForm()">
            <div class="row">
                <div class="input-field col s12">
                  <input  
                    placeholder="Your Name" 
                    id="name" 
                    name="name" 
                    type="text" 
                    class="input-styles" 
                    [(ngModel)]="name"
                    required
                    minlength="3"
                    #nameInput="ngModel">

                    <div class="help is-error" *ngIf="nameInput.invalid && nameInput.dirty">
                        Name is required and needs to be at least 3 characters long.
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="input-field col s12">
                  <input  
                  placeholder="Your Email" 
                  id="email" 
                  name="email" 
                  type="text" 
                  class="input-styles" 
                  [(ngModel)]="email"
                  required
                  email
                  #emailInput="ngModel">

                  <div class="help is-error" *ngIf="emailInput.invalid && emailInput.dirty">
                    Needs to be a valid email.
                  </div>
                </div>
            </div>

            <div class="row">
                <div class="input-field col s12">
                  <input 
                  placeholder="Your Subject" 
                  id="subject" 
                  name="subject" 
                  type="text" 
                  class="input-styles" 
                  [(ngModel)]="subject"
                  required
                  #subjectInput="ngModel">
                </div>

                <div class="help is-error" *ngIf="subjectInput.invalid && subjectInput.dirty">
                    Your subject is required!
                </div>
            </div>
          
            <div class="row row-textarea">
              <textarea 
              class="textarea input-styles" 
              name="message" 
              placeholder="What's on your mind?" 
              [(ngModel)]="message"
              required
              #messageInput="ngModel"></textarea>

              <div class="help is-error" *ngIf="messageInput.invalid && messageInput.dirty">
                Your message is required!
              </div>
            </div>
          
            <div class="row">
                <button type="submit" class="btn btn-submit">Submit</button>    
            </div>
          </form>
    </div>

    <div class="col s3">
        <!-- texto -->
    </div>
</div>